org.apache.cassandra.cql3

## Class UserOptions

- java.lang.Object
- - org.apache.cassandra.cql3.UserOptions

    public class UserOptions
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`UserOptions()`

### Method Summary

Methods
`java.util.Map<IAuthenticator.Option,java.lang.Object>` `getOptions()`
`boolean` `isEmpty()`
`void` `put(java.lang.String name, java.lang.Object value)`
`java.lang.String` `toString()`
`void` `validate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UserOptions

    public UserOptions()

### Method Detail

#### put

    public void put(java.lang.String name,
           java.lang.Object value)

#### isEmpty

    public boolean isEmpty()

#### getOptions

    public java.util.Map<IAuthenticator.Option,java.lang.Object> getOptions()

#### validate

    public void validate()
                  throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`